summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorTodd Zullinger <tmz@pobox.com>2009-01-29 15:46:18 -0600
committerTodd Zullinger <tmz@pobox.com>2009-01-29 15:46:18 -0600
commite274c3be978de686106ec7b1840c0fa160b7a498 (patch)
tree27822445cff523418bc487715364d326fbdab5ef /autogen.sh
parentab4546c881df0e1bd65df18bbc94cf609fe8d79e (diff)
downloadfedora-packager-e274c3be978de686106ec7b1840c0fa160b7a498.tar.gz
fedora-packager-e274c3be978de686106ec7b1840c0fa160b7a498.tar.xz
fedora-packager-e274c3be978de686106ec7b1840c0fa160b7a498.zip
Add a very basic autogen.sh script
--- autogen.sh | 41 +++++++++++++++++++++++++++++++++++++++++ 1 files changed, 41 insertions(+), 0 deletions(-) create mode 100755 autogen.sh
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..0c200a4
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+(test -f $srcdir/configure.ac) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level package directory"
+ exit 1
+}
+
+(${AUTORECONF:-autoreconf} --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "**Error**: You must have \`autoreconf' installed."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+(${AUTOMAKE:-automake} --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "**Error**: You must have \`automake' installed."
+ echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+if test -n "$DIE"; then
+ exit 1
+fi
+
+if test -z "$*"; then
+ echo "**Warning**: I am going to run \`configure' with no arguments."
+ echo "If you wish to pass any to it, please specify them on the"
+ echo \`$0\'" command line."
+ echo
+fi
+
+conf_flags=""
+
+${AUTORECONF:-autoreconf} --install --verbose && ./configure $conf_flags $@